[![Build Status](https://drone.teamortix.com/api/badges/Team-Ortix/JISQueueing/status.svg)](https://drone.teamortix.com/Team-Ortix/JISQueueing)

# JIS Queueing System

#### Go project for Web backend for a whole family of projects with similar ideas

###### As a relatively large school, we have many visitors who come visiting and need to talk to the administrators. This project is created as a way to make it easier for visitors to queue up for whomever the need to see, with the least of hassle. This queueing system is planned to support multiple branches (multiple queues), sends information regarding queueing via web sockets to keep it updated. Frontend will most be written in ReactJS. 
---------
## How will the system work

##### Here is a little example of the end goal of this project:

1. Visitor enters the school premise.
2. Visitor selects which branch queue to join (School visit, speak to school admins, etc..).
3. Visitor Enters name and email, {TBA},  and queue number.
4. Visitor gets email notification thanking them for coming.
5. Visitor waits for queue number to be called.
6. Visitor goes where they would like to.

### Other information

* The devices which connected to the system at once;
	* One for where visitors sign up.
	* One for displaying current queues and each queue status. 
	* `n` computers that are all ready to 'accept' visitors for each specific branch.
* Websockets will live update the queue display.
* When a branch user clicks "next", we display the next visitor's information.

### Notable endpoints

Base endpoint: **https://queueing.jisedu.or.id/api/{endpoint}**

